XPlanner

Docs

Update folder

Updates the folder name, color, order, or pinning status.


PATCH

/folders/{id}

folders:update, folders:write (eski uyumluluk)

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Idempotency-Key

*
string

Unique value of 1-255 characters to safely retry the same write request.

Content-Type

string

Use application/json when sending JSON body.

Body

name

string

Folder name. Maximum 120 characters.

color

string

blue, green, lime, yellow, orange, red, purple, black veya gray.

order

integer

Ranking value. An integer greater than or equal to zero.

isPinned

boolean

Pins or unpins the folder in the panel.

Cevaplar

200

The folder has been updated.

404

Folder not found or no access.

cURL

curl -X PATCH https://api.xplanner.co/v1/folders/fld_123 \  -H "Authorization: Bearer $XPLANNER_API_KEY" \  -H "Content-Type: application/json" \  -H "Idempotency-Key: folder-update-001" \  -d '{    "name": "Lansman fikirleri",    "color": "purple",    "isPinned": true  }'

Cevap

{  "data": {    "id": "fld_123",    "accountId": "acc_123",    "name": "Lansman fikirleri",    "color": "purple",    "isPinned": true,    "order": 0,    "workspaceId": "wrk_123",    "xUserId": "123456789",    "createdAt": "2026-05-15T09:00:00.000Z",    "updatedAt": "2026-05-15T10:00:00.000Z"  },  "requestId": "req_123"}